## org.apache.maven.shared.jar
Class JarData

    java.lang.Object
      org.apache.maven.shared.jar.JarData

    public final class JarData

extends java.lang.Object

Class that contains details of a single JAR file and it's entries.

Constructor Summary
`JarData(java.io.File file, java.util.jar.Manifest manifest, java.util.List entries)` Constructor.

Method Summary
`java.lang.String` `getBytecodeHash()`
`java.util.List` `getEntries()`
`java.io.File` `getFile()`
`java.lang.String` `getFileHash()`
`JarClasses` `getJarClasses()`
`JarIdentification` `getJarIdentification()`
`java.lang.String` `getJdkRevision()`
`java.util.jar.Manifest` `getManifest()`
`int` `getNumClasses()`
`int` `getNumEntries()`
`int` `getNumPackages()`
`boolean` `isDebugPresent()`
`boolean` `isSealed()`
`void` `setBytecodeHash(java.lang.String bytecodeHash)`
`void` `setFileHash(java.lang.String fileHash)`
`void` `setJarClasses(JarClasses jarClasses)`
`void` `setJarIdentification(JarIdentification jarIdentification)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarData

    public JarData(java.io.File file,
                   java.util.jar.Manifest manifest,
                   java.util.List entries)

  Constructor.

  Parameters:
    `file` - the JAR file
    `manifest` - the JAR manifest
    `entries` - the JAR entries

Method Detail

### getEntries

    public java.util.List getEntries()

### getManifest

    public java.util.jar.Manifest getManifest()

### getFile

    public java.io.File getFile()

### isSealed

    public boolean isSealed()

### setFileHash

    public void setFileHash(java.lang.String fileHash)

### getFileHash

    public java.lang.String getFileHash()

### setBytecodeHash

    public void setBytecodeHash(java.lang.String bytecodeHash)

### getBytecodeHash

    public java.lang.String getBytecodeHash()

### isDebugPresent

    public boolean isDebugPresent()

### setJarClasses

    public void setJarClasses(JarClasses jarClasses)

### getNumEntries

    public int getNumEntries()

### getNumClasses

    public int getNumClasses()

### getNumPackages

    public int getNumPackages()

### getJdkRevision

    public java.lang.String getJdkRevision()

### setJarIdentification

    public void setJarIdentification(JarIdentification jarIdentification)

### getJarIdentification

    public JarIdentification getJarIdentification()

### getJarClasses

    public JarClasses getJarClasses()

Copyright © 2011. All Rights Reserved.